/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2013-2023 Chaosdorf e.V.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package de.chaosdorf.meteroid.ui.navigation

import de.chaosdorf.mete.model.UserId
import de.chaosdorf.meteroid.model.ServerId

object Routes {
  object Servers {
    const val List = "server"
    const val Add = "server/create"
  }
  object Users {
    const val List = "server/{server}"
    fun list(server: ServerId) = List
      .replace("{server}", server.value.toString())
  }
  object Home {
    const val Purchase = "server/{server}/user/{user}/purchase"
    const val Deposit = "server/{server}/user/{user}/deposit"
    const val History = "server/{server}/user/{user}/history"
    const val Wrapped = "server/{server}/user/{user}/wrapped"
    fun purchase(server: ServerId, user: UserId) = Purchase
      .replace("{server}", server.value.toString())
      .replace("{user}", user.value.toString())
    fun deposit(server: ServerId, user: UserId) = Deposit
      .replace("{server}", server.value.toString())
      .replace("{user}", user.value.toString())
    fun history(server: ServerId, user: UserId) = History
      .replace("{server}", server.value.toString())
      .replace("{user}", user.value.toString())
    fun wrapped(server: ServerId, user: UserId) = Wrapped
      .replace("{server}", server.value.toString())
      .replace("{user}", user.value.toString())
  }
}
